Subject: Re: [dhcwg] Process: draft-ietf-dec-route-option and draft-droms-dhc-dhcpv6-default-router

From: "Wojciech Dec (wdec)" <[email-masked]>
Date: Tue, 2 Jun 2009 19:18:35 +0200

I strongly doubt in that there will be a single way in which the whole
of the world chooses to use and deploy IPv6 auto-provisioning, as well
as in the wisdom of IETF picking and enforcing one such choice. Various
communities have different motivations for preferring say an RA-only or
a DHCP-only model or a mix of both.  Provided that none of these
fundamentally break IPv6 or causes industry wide incompatibility,
besides perhaps religious preferences, I do not see why DHC work on
these should not proceed. (Re incompatibility and using an analogy from
IPv4, expecting a host without a dhcp client to work on a network whose
designer specifically intended for DHCPv4 to be used isn't very
reasonable, irrespective of the wisdom or otherwise of the designer's
choice.)

As such I see it both within the DHC WG community's responsibility and
interest to continue to define standards that support deployment of such
preferences and allow the choice to be made by the eventual adopters who
are the de-facto experts of their domain. The confusion regarding the
role of RAs vs DHCP, and the present day inconsistency of
implementations is actually one point that already makes IPv6 deployment
harder than it needed be. Time to straighten this out (a point that goes
beyond these two drafts).

Now, given that the DHC WG is by all accounts the community with the DHC
WG experts it's only reasonable for it to continue to define DHCP
options and functionality that are of interest, while engaging in
discussions with other WGs who may share some of interest or be working
on alternatives if say info model reuse is something of common interest.
It's likely to be futile to expect another WG to gather the right mix of
dhcp and subject-whatever matter experts to do that work; if they're
interested, they will come to dhc.

My 2c,
Woj.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Ted Lemon
> Sent: 08 May 2009 20:16
> To: dhc WG
> Subject: [dhcwg] Process: 
> draft-ietf-mip6-bootstrapping-integrated-dhc 
> anddraft-droms-dhc-dhcpv6-default-router
> 
> John and I were just talking about how to get a good 
> discussion going on the working group mailing list on these 
> two items, which came up at  
> the IETF74 meeting.   I think in order to do that we need to divide  
> the discussion up into three parts:
> 
> 1. Is this something that should happen?
> 2. Who should do it?
> 3. What should the documents say?
> 
> Once we divide it up this way, it becomes obvious to me that 
> the first part of the discussion simply isn't within the 
> charter of the DHC  
> working group.   There are certainly participants in the DHC working  
> group who have an interest in this discussion, and ultimately 
> if the IETF were to proceed in defining these DHCPv6 options, 
> it would be something that would require the involvement of 
> the DHC working group, so it seems natural to bring it up in 
> the DHC working group, but actually it's futile to do so - 
> it's just a waste of everybody's time.
> 
> As for the second discussion, I don't get the sense that 
> there is consensus among participants in the DHC working 
> group that we should be doing this work. I don't get the 
> sense that there is consensus that  
> we should not, either.   The point is that the interested parties in  
> the DHC working group should be having this discussion somewhere else
> - perhaps int area, perhaps routing area, perhaps some other working  
> group.   And then once a conclusion has been reached, I think 
> it would  
> be fine to come back to the DHC working group and say "will 
> you now do  
> this?"   But I don't think that conclusion has been reached yet.
> 
> As for the third discussion, there are aspects of that 
> discussion that make sense to have in the DHC working group, 
> but there are other  
> aspects that clearly aren't within our area of expertise.   What the  
> options should look like is probably our issue, although others may  
> have opinions about that.   How to resolve inconsistencies between  
> what might be received in an RA, and what might be received 
> in a DHCP message, really isn't our area of expertise.
> 
> The reason I am writing this up now is to ask the 
> participants in the  
> working group to comment on this.   Would anybody disagree with this  
> division of the discussion?   Would anybody disagree with what I've  
> said about where each part of this discussion ought to occur? 
>   If so,  
> please explain.   If not, I'd like to encourage the 
> interested parties  
> not to get discouraged about this, but rather to take up the 
> work of finding a home for these discussions, to have the 
> discussions, see what consensus arises, and bring that back to us.
> 
> If the consensus of the working group is that we *ought* to 
> be responsible for these discussions, then we should start 
> talking about  
> rechartering to include this work in our charter.   If 
> nothing else, I  
> suspect that will trigger some fruitful discussion with 
> interested parties who are not regular participants in the 
> DHC working group.
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>

---

From: Chuck Anderson <[email-masked]>
Date: Tue, 2 Jun 2009 15:14:10 -0400

On Tue, Jun 02, 2009 at 07:18:35PM +0200, Wojciech Dec (wdec) wrote:
> I do not see why DHC work on these should not proceed.
...
> beyond these two drafts).

+1

> interested, they will come to dhc.

Agreed.